var N = null;var sourcesIndex = {};
sourcesIndex["HPGO"] = {"name":"","dirs":[{"name":"api","dirs":[{"name":"py","files":["mod.rs","py_environment.rs","py_hlo_json.rs","py_torch_modules.rs","py_utils.rs"]}],"files":["capi.rs","mod.rs"]},{"name":"environment","files":["device.rs","ethernet.rs","mod.rs","network.rs","nvlink.rs"]},{"name":"hlo_json","dirs":[{"name":"derive","files":["derivation.rs","derive_impl.rs","mod.rs"]},{"name":"propagate","files":["ast_propagate.rs","fusion.rs","graph_propagate.rs","mod.rs","vargraph.rs"]},{"name":"prune","files":["mod.rs","param_priority.rs"]}],"files":["conductor.rs","error.rs","hlo_ast.rs","mod.rs"]},{"name":"hlo_proto","files":["hlo_ast.rs","mod.rs"]},{"name":"input","files":["input_hlo_json.rs","input_hlo_proto.rs","input_torch_graph.rs","mod.rs","tensorflow_timeline.rs","torch_graph_py.rs"]},{"name":"torch_modules","dirs":[{"name":"analysis","files":["cc_overlap.rs","gpu_memory.rs","mod.rs"]},{"name":"model","files":["mod.rs","model.rs","model_perf.rs"]},{"name":"orchestration","files":["mod.rs","orchestrate_async.rs","orchestrate_hierarchical.rs","orchestrate_sync.rs"]},{"name":"parallelism","files":["data_parallel.rs","gpipe.rs","gradient_accumulation.rs","mod.rs","split_concat.rs","sync_pipeline.rs"]}],"files":["conductor.rs","mod.rs"]}],"files":["lib.rs"]};
sourcesIndex["HPGO_CMD"] = {"name":"","files":["main.rs"]};
createSourceSidebar();
